'use strict';

const eslintReact = {
  extends: ["plugin:react/recommended"],
  plugins: ["react", "react-hooks"],
  rules: {
    "react/display-name": 0,
    "react/jsx-props-no-spreading": 0,
    "react/state-in-constructor": 0,
    "react/static-property-placement": 0,
    "react/destructuring-assignment": "off",
    "react/jsx-filename-extension": "off",
    "react/no-array-index-key": "warn",
    "react-hooks/rules-of-hooks": "error",
    "react-hooks/exhaustive-deps": "warn",
    "react/require-default-props": 0,
    "react/jsx-fragments": 0,
    "react/jsx-wrap-multilines": 0,
    "react/prop-types": 0,
    "react/forbid-prop-types": 0,
    "react/sort-comp": 0,
    "react/react-in-jsx-scope": 0,
    "react/jsx-one-expression-per-line": 0,
    "jsx-a11y/no-noninteractive-element-interactions": 0,
    "jsx-a11y/click-events-have-key-events": 0,
    "jsx-a11y/no-static-element-interactions": 0,
    "jsx-a11y/anchor-is-valid": 0
  }
};

module.exports = eslintReact;
